Agent Builder
Agent Builder is a set of AI-powered capabilities for developing and interacting with agents that work with your Elasticsearch data.
Most users will probably want to integrate with Agent Builder using MCP or A2A, but you can also work programmatically with tools, agents, and conversations using these Kibana APIs. Follow the Agent Builder API tutorial for a guided example.
Elastic Agent Builder requires an Enterprise subscription.
-
Send A2A task
Stack
Experimental
9.2+
- POST /api/agent_builder/a2a/{agentId}
-
Get A2A agent card
Stack
Experimental
9.2+
- GET /api/agent_builder/a2a/{agentId}.json
-
List agents
Stack
9.2+
- GET /api/agent_builder/agents
-
Create an agent
Stack
9.2+
- POST /api/agent_builder/agents
-
Get agent consumption data
Stack
Experimental
9.4+
- POST /api/agent_builder/agents/{agent_id}/consumption
-
Get an agent by ID
Stack
9.2+
- GET /api/agent_builder/agents/{id}
-
Update an agent
Stack
9.2+
- PUT /api/agent_builder/agents/{id}
-
Delete an agent
Stack
9.2+
- DELETE /api/agent_builder/agents/{id}
-
Get an agent's access control list
Stack
Preview
9.5+
- GET /api/agent_builder/agents/{id}/access_control
-
Update an agent's access control list
Stack
Preview
9.5+
- PUT /api/agent_builder/agents/{id}/access_control
-
List conversations
Stack
9.2+
- GET /api/agent_builder/conversations
-
Create conversation
Stack
Planned
- POST /api/agent_builder/conversations
-
Get conversation by ID
Stack
9.2+
- GET /api/agent_builder/conversations/{conversation_id}
-
Delete conversation by ID
Stack
9.2+
- DELETE /api/agent_builder/conversations/{conversation_id}
-
Add events to a conversation
Stack
Planned
- POST /api/agent_builder/conversations/{conversation_id}/_add_events
-
Update a conversation's access control
Stack
Planned
- PUT /api/agent_builder/conversations/{conversation_id}/access_control
-
List conversation attachments
Stack
Experimental
9.2+
- GET /api/agent_builder/conversations/{conversation_id}/attachments
-
Create conversation attachment
Stack
Experimental
9.2+
- POST /api/agent_builder/conversations/{conversation_id}/attachments
-
Check attachment staleness
Stack
Experimental
9.4+
- GET /api/agent_builder/conversations/{conversation_id}/attachments/stale
-
Get conversation attachment
Stack
Planned
- GET /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}
-
Update conversation attachment
Stack
Experimental
9.2+
- PUT /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}
-
Rename attachment
Stack
Experimental
9.2+
- PATCH /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}
-
Delete conversation attachment
Stack
Experimental
9.2+
- DELETE /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}
-
Restore deleted attachment
Stack
Experimental
9.2+
- POST /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}/_restore
-
Update attachment origin
Stack
Experimental
9.4+
- PUT /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}/origin
-
Send chat message
Stack
9.2+
- POST /api/agent_builder/converse
-
Send chat message (streaming)
Stack
9.2+
- POST /api/agent_builder/converse/async
-
MCP server
Stack
9.2+
- POST /api/agent_builder/mcp
-
List plugins
Stack
Experimental
9.4+
- GET /api/agent_builder/plugins
-
Install a plugin
Stack
Experimental
9.4+
- POST /api/agent_builder/plugins/install
-
Get a plugin by id
Stack
Experimental
9.4+
- GET /api/agent_builder/plugins/{pluginId}
-
Delete a plugin
Stack
Experimental
9.4+
- DELETE /api/agent_builder/plugins/{pluginId}
-
List skills
Stack
Experimental
9.4+
- GET /api/agent_builder/skills
-
Create a skill
Stack
Experimental
9.4+
- POST /api/agent_builder/skills
-
Get a skill by id
Stack
Experimental
9.4+
- GET /api/agent_builder/skills/{skillId}
-
Update a skill
Stack
Experimental
9.4+
- PUT /api/agent_builder/skills/{skillId}
-
Delete a skill
Stack
Experimental
9.4+
- DELETE /api/agent_builder/skills/{skillId}
-
List tools
Stack
9.2+
- GET /api/agent_builder/tools
-
Create a tool
Stack
9.2+
- POST /api/agent_builder/tools
-
Run a tool
Stack
9.2+
- POST /api/agent_builder/tools/_execute
-
Get a tool by id
Stack
9.2+
- GET /api/agent_builder/tools/{toolId}
-
Update a tool
Stack
9.2+
- PUT /api/agent_builder/tools/{toolId}
-
Delete a tool
Stack
9.2+
- DELETE /api/agent_builder/tools/{toolId}